Bug 146573 - cdrecord does not blank CDRW in QSI drives; QSI drives do not support CDRW blanking with cdrecord
cdrecord does not blank CDRW in QSI drives; QSI drives do not support CDRW bl...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 17:16 EST by morgan read
Modified: 2009-01-09 01:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:52:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of cdrecord -scanbus (989 bytes, text/plain)
2005-01-30 12:25 EST, julian
no flags Details
output of cdrecord speed=2 blank=all dev=ATA:1,0,0 -v (2.68 KB, text/plain)
2005-01-30 12:26 EST, julian
no flags Details
output of cdrecord speed=2 blank=all dev=1,0,0 -v (733 bytes, text/plain)
2005-01-30 12:29 EST, julian
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 13729 None None None Never

  None (edit)
Description morgan read 2005-01-29 17:16:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Didn't find a catagory for cdrecord...  Hope this is the right place
to stick a bug for it?

My QSI drive [QSI DVD/CDRW SBW-081 NXC5] wont blank CDRW.  Little info
on the net on this, but seems this is a general problem to QSI drives
& has been for some time (see email:
<http://lists.suse.com/archive/suse-linux/2002-Nov/0470.html> in
german & recent thread in fedora list: "CD-RW dosen't blank (was Re:
CD burning doesn't work - scsi emulation?..").

QSI don't seem to be very interested in providing any help &
apparently don't produce any drivers for their product, relying only
on the Windoze stock drivers??

cdrdao does seem to blank CDRWs in this drive, thus may be a bug with
cdrecord & not QSI?

Version-Release number of selected component (if applicable):
cdrecord-2.01.1-0.FC2.1

How reproducible:
Always

Steps to Reproduce:
1.cdrecord blank=all -force dev=/dev/hdc
2.That's it
3.
    

Actual Results:  [morgan@morgansmachine morgan]$ cdrecord blank=all
-force dev=/dev/hdc
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: '/dev/hdc'
devname: '/dev/hdc'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c       
1.83 04/05/20 Copyright 1997 J. Schilling').
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'QSI     '
Identifikation : 'DVD/CDRW SBW-081'
Revision       : 'NXC5'
Device seems to be: Generic mmc2 DVD-ROM.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-2 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P
RAW/R96R
Speed set to 706 KB/s
Waiting for drive to calm down.
Starting to write CD/DVD at speed   4.0 in real force BLANK mode for
single session.
Last chance to quit, starting real write    0 seconds. Operation starts.
cdrecord: Success. blank unit: scsi sendcmd: no error
CDB:  A1 00 00 00 00 00 00 00 00 00 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 00 00 00 00 24 00 00 00
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x24 Qual 0x00 (invalid field in cdb) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 0.000s timeout 9600s
Starting to write CD/DVD at speed   4.0 in real force BLANK mode for
single session.
No chance to quit anymore. Operation starts.
cdrecord: Success. blank unit: scsi sendcmd: no error
CDB:  A1 00 00 00 00 00 00 00 00 00 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 00 00 00 00 24 00 00 00
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x24 Qual 0x00 (invalid field in cdb) Fru 0x0
Sense flags: Blk 0 (not valid)
cmd finished after 0.000s timeout 9600s
cdrecord: Cannot blank disk, aborting.

Expected Results:  Clean CDRW ready to record.

Additional info:

See recent discussion in fedora-list Dec2004/Jan2005: "CD burning
doesn't work - scsi emulation?.." & "CD-RW dosen't blank (was Re: CD
burning doesn't work - scsi emulation?..)"
Comment 1 julian 2005-01-30 12:25:26 EST
Created attachment 110412 [details]
output of cdrecord -scanbus
Comment 2 julian 2005-01-30 12:26:04 EST
Created attachment 110413 [details]
output of cdrecord speed=2 blank=all dev=ATA:1,0,0 -v
Comment 3 julian 2005-01-30 12:26:44 EST
i can confirm this bug, see the two attachments i've sent
Comment 4 julian 2005-01-30 12:29:03 EST
Created attachment 110414 [details]
output of cdrecord speed=2 blank=all dev=1,0,0 -v

btw, i'm using an up-to-date FC3
Comment 5 Harald Hoyer 2005-01-31 05:16:44 EST

*** This bug has been marked as a duplicate of 145865 ***
Comment 6 morgan read 2006-01-20 02:22:44 EST
No it's not.  See comment at 
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=145865#c6

Morgan.
Comment 7 David Eisenstein 2006-05-30 09:50:59 EDT
Hi Morgan,

FC3 is now being maintained by Fedora Legacy.  We only focus on security
issues, since FC3 has entered maintenance mode.

According to bug #13729 at launchpad.net (that is,
<https://launchpad.net/distros/fedora/+source/cdrtools/+bug/13729/+viewstatus>),
which deals with problems blanking CDRW's in QSI drives:

    "It is impossible to burn a cd-rw with nautilus. It opens druid if
    empty cd-rw is inserted, but reports an error. However it is possible
    to burn a cd-rw with cdrecord (with different frontends).  It is
    impossible to erase a cd-rw with cdrecord (CLI or with frontend like
    xcdroast). However, it is possible to erase a cd-rw with cdrdao."

So it looks like there are some workarounds for this problem.

I am closing this bug, because we in Fedora Legacy don't know how to fix
this problem and there appear to be workarounds.  However, if you are now
using FC4 or FC5, and are still encountering this problem, you are welcome
to reopen the bug and reassign it to Fedora Core 4 or 5, so it can go back
into Red Hat's queue.

Have you submitted a bug report on this to the upstream maintainers of 
cdrecord?  You might consider doing that too, Morgan, if you haven't 
already.

Sorry we cannot do any more on this.
Comment 8 morgan read 2006-05-31 06:52:09 EDT
No worries here.

I'm on fc5, it's still the same bug, but whether the bug's with the software or
the hard ware I guess is a moot point.  Does work with cdrdao.

I'm not sure of the protocol - does one just keep updating the bug as one
upgrades through the core versions?  I've long since realised the hardware's cr#p.

QSI is junk, so more than agree 'wontfix' might be best resolution - but, will
reopen for fc5 and let someone more knowledgable than I make that decision.
Comment 9 morgan read 2006-05-31 07:38:43 EDT
As suggested I posted a bug report to the maintainer of cdrtools - Jörg
Schilling, somehow I suspect he's not going to be so interested (just the
impression I get from his website:).  Who is the relevant maintainer of cdrtools
as used by fc?
Comment 10 Harald Hoyer 2006-05-31 08:19:59 EDT
me
Comment 11 morgan read 2006-06-01 07:08:20 EDT
Oh, good.

Looks like there may be a fix to this in the "-immed" option to cdrecord?  See:
https://launchpad.net/distros/fedora/+source/cdrtools/+bug/13729
(See also the man page for "-immed".)

PS
My suspicions were correct.
But, from amongst the noise was this comment:
> BTW: The most probable reason for your problem is a linux kernel bug.
> 
> The Linux kernel does most likely modify the SCSI command.
> 
> I had a similar experience a few years ago. Booting the same Hardware
> with Solaris did cure the problem.
Comment 12 petrosyan 2008-03-10 02:15:57 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 13 Bug Zapper 2008-04-03 21:53:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 morgan read 2008-04-05 04:29:11 EDT
[root@morgansoldmachine ~]# uname -r
2.6.24.3-34.fc8
[root@morgansoldmachine ~]# cdrecord blank=all -force dev=/dev/cdrw
Device type    : Removable CD-ROM
Version        : 5
Response Format: 2
Capabilities   : 
Vendor_info    : 'QSI     '
Identification : 'DVD/CDRW SBW-081'
Revision       : 'NXC5'
Device seems to be: Generic mmc2 DVD-ROM.
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-2 SWABAUDIO BURNFREE 
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R16 RAW/R96P RAW/R96R
Speed set to 706 KB/s
Waiting for drive to calm down.
Starting to write CD/DVD at speed   4.0 in real force BLANK mode for single session.
Last chance to quit, starting real write in    0 seconds. Operation starts.
Errno: 5 (Input/output error), blank unit scsi sendcmd: no error
CDB:  A1 00 00 00 00 00 00 00 00 00 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 00 00 00 00 24 00 00 00
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x24 Qual 0x00 (invalid field in cdb) Fru 0x0
Sense flags: Blk 0 (not valid) 
cmd finished after 0.000s timeout 9600s
Starting to write CD/DVD at speed   4.0 in real force BLANK mode for single session.
No chance to quit anymore. Operation starts.
Errno: 5 (Input/output error), blank unit scsi sendcmd: no error
CDB:  A1 00 00 00 00 00 00 00 00 00 00 00
status: 0x2 (CHECK CONDITION)
Sense Bytes: 70 00 05 00 00 00 00 0A 00 00 00 00 24 00 00 00
Sense Key: 0x5 Illegal Request, Segment 0
Sense Code: 0x24 Qual 0x00 (invalid field in cdb) Fru 0x0
Sense flags: Blk 0 (not valid) 
cmd finished after 0.000s timeout 9600s
wodim: Cannot blank disk, aborting.
[root@morgansoldmachine ~]# 

Looks like it's still a bug in f8
M.
Comment 15 Bug Zapper 2008-11-26 01:48:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-01-09 01:52:00 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.